/*
 * Button.c
 *
 *  Created on: 09/nov/2012
 *      Author: Marco
 */

#include "Button.h"

ButtonInfoType buttons;

void GetButtonStatus(void)
{
	if ((buttons.b[0] == 0)&&(EE_button_get_S1() == 1))
		/* if was released and now pressed set flag */
		buttons.button_status |= BUTTON1CODE;
	else
		/* no press, reset flag */
		buttons.button_status &= ~BUTTON1CODE;
	buttons.b[0] = EE_button_get_S1();

	/* button 2 */
	if ((buttons.b[1] == 0)&&(EE_button_get_S2() == 1))
		buttons.button_status |= BUTTON2CODE;
	else
		buttons.button_status &= ~BUTTON2CODE;
	buttons.b[1] = EE_button_get_S2();

	/* button 3 */
	if ((buttons.b[2] == 0)&&(EE_button_get_S3() == 1))
		buttons.button_status |= BUTTON3CODE;
	else
		buttons.button_status &= ~BUTTON3CODE;
	buttons.b[2] = EE_button_get_S3();

	/* button 4 */
	if ((buttons.b[3] == 0)&&(EE_button_get_S4() == 1))
		buttons.button_status |= BUTTON4CODE;
	else
		buttons.button_status &= ~BUTTON4CODE;
	buttons.b[3] = EE_button_get_S4();
}

void InitButtons(void)
{
	unsigned char i;
	EE_buttons_init(GetButtonStatus, 0x0F);
	buttons.button_status = 0;
	for (i=0; i<4; i++)
		buttons.b[i]=0;
}
