/*
 * SWatchFSM.h
 *
 *  Created on: 11/nov/2012
 *      Author: Marco
 */

#ifndef SWATCHFSM_H_
#define SWATCHFSM_H_

#include "Watch.h"

typedef enum Signal_ {
	MODE, SUBMODE, PLUS, MINUS, NOEVENT, NUM_SIGNALS
} Signal;

typedef enum State_ {
	DISPLAYTIME, SETTIME, SETALARM, CHRONO, NUM_STATES
} State;

typedef struct FSMWatch_ {
	WatchType watch;
	State     curState;
} FSMWatch;

void SWatchFSMDispatch(unsigned char events);
void SWatchFSMInit();
void SWatchFSMTran(State nextstate);
WatchType *SWatchFSMGetWatch();

extern FSMWatch myFSM;


#endif /* SWATCHFSM_H_ */
