/*
 * Watch.h
 *
 *  Created on: 09/nov/2012
 *      Author: Marco
 */

#ifndef WATCH_H_
#define WATCH_H_

typedef struct TimeStructType_
{
	unsigned char hours;
	unsigned char minutes;
	unsigned char seconds;
	unsigned char tenths;
} TimeStructType;

typedef struct WatchType_
{
	TimeStructType time;
	TimeStructType alarm;
	TimeStructType chrono;
} WatchType;

void InitWatch(WatchType *w);
void InitTime(TimeStructType *ts);
void TickTenth(TimeStructType *ts);
void ChangeTime(TimeStructType *ts, char hdiff, char mdiff);

#endif /* WATCH_H_ */
